519bd73501962a8cf16a0b325ee15ff4c71b3983
[platform/upstream/elfutils.git] / Makefile.in
1 # Makefile.in generated by automake 1.11.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkgincludedir = $(includedir)/@PACKAGE@
21 pkglibdir = $(libdir)/@PACKAGE@
22 pkglibexecdir = $(libexecdir)/@PACKAGE@
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 install_sh_DATA = $(install_sh) -c -m 644
25 install_sh_PROGRAM = $(install_sh) -c
26 install_sh_SCRIPT = $(install_sh) -c
27 INSTALL_HEADER = $(INSTALL_DATA)
28 transform = $(program_transform_name)
29 NORMAL_INSTALL = :
30 PRE_INSTALL = :
31 POST_INSTALL = :
32 NORMAL_UNINSTALL = :
33 PRE_UNINSTALL = :
34 POST_UNINSTALL = :
35 build_triplet = @build@
36 host_triplet = @host@
37 subdir = .
38 DIST_COMMON = README $(am__configure_deps) $(pkginclude_HEADERS) \
39         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
40         $(srcdir)/config.h.in $(top_srcdir)/config/elfutils.spec.in \
41         $(top_srcdir)/config/version.h.in $(top_srcdir)/configure \
42         ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS THANKS TODO
43 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44 am__aclocal_m4_deps = $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
45         $(top_srcdir)/m4/progtest.m4 $(top_srcdir)/m4/zip.m4 \
46         $(top_srcdir)/configure.ac
47 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
48         $(ACLOCAL_M4)
49 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
50  configure.lineno config.status.lineno
51 mkinstalldirs = $(install_sh) -d
52 CONFIG_HEADER = config.h
53 CONFIG_CLEAN_FILES = elfutils.spec version.h
54 CONFIG_CLEAN_VPATH_FILES =
55 SOURCES =
56 DIST_SOURCES =
57 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
58         html-recursive info-recursive install-data-recursive \
59         install-dvi-recursive install-exec-recursive \
60         install-html-recursive install-info-recursive \
61         install-pdf-recursive install-ps-recursive install-recursive \
62         installcheck-recursive installdirs-recursive pdf-recursive \
63         ps-recursive uninstall-recursive
64 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
65 am__vpath_adj = case $$p in \
66     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
67     *) f=$$p;; \
68   esac;
69 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
70 am__install_max = 40
71 am__nobase_strip_setup = \
72   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
73 am__nobase_strip = \
74   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
75 am__nobase_list = $(am__nobase_strip_setup); \
76   for p in $$list; do echo "$$p $$p"; done | \
77   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
78   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
79     if (++n[$$2] == $(am__install_max)) \
80       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
81     END { for (dir in files) print dir, files[dir] }'
82 am__base_list = \
83   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
84   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
85 am__uninstall_files_from_dir = { \
86   test -z "$$files" \
87     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
88     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
89          $(am__cd) "$$dir" && rm -f $$files; }; \
90   }
91 am__installdirs = "$(DESTDIR)$(pkgincludedir)"
92 HEADERS = $(pkginclude_HEADERS)
93 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
94   distclean-recursive maintainer-clean-recursive
95 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
96         $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
97         distdir dist dist-all distcheck
98 ETAGS = etags
99 CTAGS = ctags
100 DIST_SUBDIRS = $(SUBDIRS)
101 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
102 distdir = $(PACKAGE)-$(VERSION)
103 top_distdir = $(distdir)
104 am__remove_distdir = \
105   if test -d "$(distdir)"; then \
106     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
107       && rm -rf "$(distdir)" \
108       || { sleep 5 && rm -rf "$(distdir)"; }; \
109   else :; fi
110 am__relativize = \
111   dir0=`pwd`; \
112   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
113   sed_rest='s,^[^/]*/*,,'; \
114   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
115   sed_butlast='s,/*[^/]*$$,,'; \
116   while test -n "$$dir1"; do \
117     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
118     if test "$$first" != "."; then \
119       if test "$$first" = ".."; then \
120         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
121         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
122       else \
123         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
124         if test "$$first2" = "$$first"; then \
125           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
126         else \
127           dir2="../$$dir2"; \
128         fi; \
129         dir0="$$dir0"/"$$first"; \
130       fi; \
131     fi; \
132     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
133   done; \
134   reldir="$$dir2"
135 GZIP_ENV = --best
136 DIST_ARCHIVES = $(distdir).tar.bz2
137 distuninstallcheck_listfiles = find . -type f -print
138 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
139   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
140 distcleancheck_listfiles = find . -type f -print
141 ACLOCAL = @ACLOCAL@
142 AMTAR = @AMTAR@
143 AUTOCONF = @AUTOCONF@
144 AUTOHEADER = @AUTOHEADER@
145 AUTOMAKE = @AUTOMAKE@
146 AWK = @AWK@
147 CC = @CC@
148 CCDEPMODE = @CCDEPMODE@
149 CFLAGS = @CFLAGS@
150 CPPFLAGS = @CPPFLAGS@
151 CYGPATH_W = @CYGPATH_W@
152 DEBUGPRED = @DEBUGPRED@
153 DEFS = @DEFS@
154 DEPDIR = @DEPDIR@
155 ECHO_C = @ECHO_C@
156 ECHO_N = @ECHO_N@
157 ECHO_T = @ECHO_T@
158 EXEEXT = @EXEEXT@
159 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
160 GMSGFMT = @GMSGFMT@
161 GMSGFMT_015 = @GMSGFMT_015@
162 INSTALL = @INSTALL@
163 INSTALL_DATA = @INSTALL_DATA@
164 INSTALL_PROGRAM = @INSTALL_PROGRAM@
165 INSTALL_SCRIPT = @INSTALL_SCRIPT@
166 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
167 LDFLAGS = @LDFLAGS@
168 LEX = @LEX@
169 LEXLIB = @LEXLIB@
170 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
171 LIBEBL_SUBDIR = @LIBEBL_SUBDIR@
172 LIBOBJS = @LIBOBJS@
173 LIBS = @LIBS@
174 LTLIBOBJS = @LTLIBOBJS@
175 MAINT = @MAINT@
176 MAKEINFO = @MAKEINFO@
177 MKDIR_P = @MKDIR_P@
178 MODVERSION = @MODVERSION@
179 MSGFMT = @MSGFMT@
180 MSGFMT_015 = @MSGFMT_015@
181 MSGMERGE = @MSGMERGE@
182 OBJEXT = @OBJEXT@
183 PACKAGE = @PACKAGE@
184 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
185 PACKAGE_NAME = @PACKAGE_NAME@
186 PACKAGE_STRING = @PACKAGE_STRING@
187 PACKAGE_TARNAME = @PACKAGE_TARNAME@
188 PACKAGE_URL = @PACKAGE_URL@
189 PACKAGE_VERSION = @PACKAGE_VERSION@
190 PATH_SEPARATOR = @PATH_SEPARATOR@
191 RANLIB = @RANLIB@
192 SET_MAKE = @SET_MAKE@
193 SHELL = @SHELL@
194 STRIP = @STRIP@
195 USE_NLS = @USE_NLS@
196 VERSION = @VERSION@
197 XGETTEXT = @XGETTEXT@
198 XGETTEXT_015 = @XGETTEXT_015@
199 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
200 YACC = @YACC@
201 YFLAGS = @YFLAGS@
202 abs_builddir = @abs_builddir@
203 abs_srcdir = @abs_srcdir@
204 abs_top_builddir = @abs_top_builddir@
205 abs_top_srcdir = @abs_top_srcdir@
206 ac_ct_CC = @ac_ct_CC@
207 am__include = @am__include@
208 am__leading_dot = @am__leading_dot@
209 am__quote = @am__quote@
210 am__tar = @am__tar@
211 am__untar = @am__untar@
212 base_cpu = @base_cpu@
213 bindir = @bindir@
214 build = @build@
215 build_alias = @build_alias@
216 build_cpu = @build_cpu@
217 build_os = @build_os@
218 build_vendor = @build_vendor@
219 builddir = @builddir@
220 datadir = @datadir@
221 datarootdir = @datarootdir@
222 docdir = @docdir@
223 dvidir = @dvidir@
224 eu_version = @eu_version@
225 exec_prefix = @exec_prefix@
226 host = @host@
227 host_alias = @host_alias@
228 host_cpu = @host_cpu@
229 host_os = @host_os@
230 host_vendor = @host_vendor@
231 htmldir = @htmldir@
232 includedir = @includedir@
233 infodir = @infodir@
234 install_sh = @install_sh@
235 libdir = @libdir@
236 libexecdir = @libexecdir@
237 localedir = @localedir@
238 localstatedir = @localstatedir@
239 mandir = @mandir@
240 mkdir_p = @mkdir_p@
241 oldincludedir = @oldincludedir@
242 pdfdir = @pdfdir@
243 prefix = @prefix@
244 program_transform_name = @program_transform_name@
245 psdir = @psdir@
246 sbindir = @sbindir@
247 sharedstatedir = @sharedstatedir@
248 srcdir = @srcdir@
249 sysconfdir = @sysconfdir@
250 target_alias = @target_alias@
251 top_build_prefix = @top_build_prefix@
252 top_builddir = @top_builddir@
253 top_srcdir = @top_srcdir@
254 zip_LIBS = @zip_LIBS@
255 ACLOCAL_AMFLAGS = -I m4
256 pkginclude_HEADERS = version.h
257
258 # Add doc back when we have some real content.
259 SUBDIRS = config m4 lib libelf libebl libdwfl libdw libcpu libasm backends \
260           src po tests
261
262 EXTRA_DIST = elfutils.spec GPG-KEY NOTES CONTRIBUTING \
263              COPYING COPYING-GPLV2 COPYING-LGPLV3
264
265
266 # Make sure the test install uses lib64 when $LIB will yield lib64.
267 # Make sure the test build uses the same compiler, which on e.g. ppc64
268 # determines which platform we are actually testing.
269 DISTCHECK_CONFIGURE_FLAGS = \
270         --libdir=`echo $(libdir) | sed "s,^$(exec_prefix),$$dc_install_base,"`\
271         CC="$(CC)"
272
273 all: config.h
274         $(MAKE) $(AM_MAKEFLAGS) all-recursive
275
276 .SUFFIXES:
277 am--refresh: Makefile
278         @:
279 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
280         @for dep in $?; do \
281           case '$(am__configure_deps)' in \
282             *$$dep*) \
283               echo ' cd $(srcdir) && $(AUTOMAKE) --gnits'; \
284               $(am__cd) $(srcdir) && $(AUTOMAKE) --gnits \
285                 && exit 0; \
286               exit 1;; \
287           esac; \
288         done; \
289         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits Makefile'; \
290         $(am__cd) $(top_srcdir) && \
291           $(AUTOMAKE) --gnits Makefile
292 .PRECIOUS: Makefile
293 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
294         @case '$?' in \
295           *config.status*) \
296             echo ' $(SHELL) ./config.status'; \
297             $(SHELL) ./config.status;; \
298           *) \
299             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
300             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
301         esac;
302
303 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
304         $(SHELL) ./config.status --recheck
305
306 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
307         $(am__cd) $(srcdir) && $(AUTOCONF)
308 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
309         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
310 $(am__aclocal_m4_deps):
311
312 config.h: stamp-h1
313         @if test ! -f $@; then rm -f stamp-h1; else :; fi
314         @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
315
316 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
317         @rm -f stamp-h1
318         cd $(top_builddir) && $(SHELL) ./config.status config.h
319 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
320         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
321         rm -f stamp-h1
322         touch $@
323
324 distclean-hdr:
325         -rm -f config.h stamp-h1
326 elfutils.spec: $(top_builddir)/config.status $(top_srcdir)/config/elfutils.spec.in
327         cd $(top_builddir) && $(SHELL) ./config.status $@
328 version.h: $(top_builddir)/config.status $(top_srcdir)/config/version.h.in
329         cd $(top_builddir) && $(SHELL) ./config.status $@
330 install-pkgincludeHEADERS: $(pkginclude_HEADERS)
331         @$(NORMAL_INSTALL)
332         test -z "$(pkgincludedir)" || $(MKDIR_P) "$(DESTDIR)$(pkgincludedir)"
333         @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
334         for p in $$list; do \
335           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
336           echo "$$d$$p"; \
337         done | $(am__base_list) | \
338         while read files; do \
339           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(pkgincludedir)'"; \
340           $(INSTALL_HEADER) $$files "$(DESTDIR)$(pkgincludedir)" || exit $$?; \
341         done
342
343 uninstall-pkgincludeHEADERS:
344         @$(NORMAL_UNINSTALL)
345         @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
346         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
347         dir='$(DESTDIR)$(pkgincludedir)'; $(am__uninstall_files_from_dir)
348
349 # This directory's subdirectories are mostly independent; you can cd
350 # into them and run `make' without going through this Makefile.
351 # To change the values of `make' variables: instead of editing Makefiles,
352 # (1) if the variable is set in `config.status', edit `config.status'
353 #     (which will cause the Makefiles to be regenerated when you run `make');
354 # (2) otherwise, pass the desired values on the `make' command line.
355 $(RECURSIVE_TARGETS):
356         @fail= failcom='exit 1'; \
357         for f in x $$MAKEFLAGS; do \
358           case $$f in \
359             *=* | --[!k]*);; \
360             *k*) failcom='fail=yes';; \
361           esac; \
362         done; \
363         dot_seen=no; \
364         target=`echo $@ | sed s/-recursive//`; \
365         list='$(SUBDIRS)'; for subdir in $$list; do \
366           echo "Making $$target in $$subdir"; \
367           if test "$$subdir" = "."; then \
368             dot_seen=yes; \
369             local_target="$$target-am"; \
370           else \
371             local_target="$$target"; \
372           fi; \
373           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
374           || eval $$failcom; \
375         done; \
376         if test "$$dot_seen" = "no"; then \
377           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
378         fi; test -z "$$fail"
379
380 $(RECURSIVE_CLEAN_TARGETS):
381         @fail= failcom='exit 1'; \
382         for f in x $$MAKEFLAGS; do \
383           case $$f in \
384             *=* | --[!k]*);; \
385             *k*) failcom='fail=yes';; \
386           esac; \
387         done; \
388         dot_seen=no; \
389         case "$@" in \
390           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
391           *) list='$(SUBDIRS)' ;; \
392         esac; \
393         rev=''; for subdir in $$list; do \
394           if test "$$subdir" = "."; then :; else \
395             rev="$$subdir $$rev"; \
396           fi; \
397         done; \
398         rev="$$rev ."; \
399         target=`echo $@ | sed s/-recursive//`; \
400         for subdir in $$rev; do \
401           echo "Making $$target in $$subdir"; \
402           if test "$$subdir" = "."; then \
403             local_target="$$target-am"; \
404           else \
405             local_target="$$target"; \
406           fi; \
407           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
408           || eval $$failcom; \
409         done && test -z "$$fail"
410 tags-recursive:
411         list='$(SUBDIRS)'; for subdir in $$list; do \
412           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
413         done
414 ctags-recursive:
415         list='$(SUBDIRS)'; for subdir in $$list; do \
416           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
417         done
418
419 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
420         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
421         unique=`for i in $$list; do \
422             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
423           done | \
424           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
425               END { if (nonempty) { for (i in files) print i; }; }'`; \
426         mkid -fID $$unique
427 tags: TAGS
428
429 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
430                 $(TAGS_FILES) $(LISP)
431         set x; \
432         here=`pwd`; \
433         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
434           include_option=--etags-include; \
435           empty_fix=.; \
436         else \
437           include_option=--include; \
438           empty_fix=; \
439         fi; \
440         list='$(SUBDIRS)'; for subdir in $$list; do \
441           if test "$$subdir" = .; then :; else \
442             test ! -f $$subdir/TAGS || \
443               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
444           fi; \
445         done; \
446         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
447         unique=`for i in $$list; do \
448             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
449           done | \
450           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
451               END { if (nonempty) { for (i in files) print i; }; }'`; \
452         shift; \
453         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
454           test -n "$$unique" || unique=$$empty_fix; \
455           if test $$# -gt 0; then \
456             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
457               "$$@" $$unique; \
458           else \
459             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
460               $$unique; \
461           fi; \
462         fi
463 ctags: CTAGS
464 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
465                 $(TAGS_FILES) $(LISP)
466         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
467         unique=`for i in $$list; do \
468             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
469           done | \
470           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
471               END { if (nonempty) { for (i in files) print i; }; }'`; \
472         test -z "$(CTAGS_ARGS)$$unique" \
473           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
474              $$unique
475
476 GTAGS:
477         here=`$(am__cd) $(top_builddir) && pwd` \
478           && $(am__cd) $(top_srcdir) \
479           && gtags -i $(GTAGS_ARGS) "$$here"
480
481 distclean-tags:
482         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
483
484 distdir: $(DISTFILES)
485         @case `sed 15q $(srcdir)/NEWS` in \
486         *"$(VERSION)"*) : ;; \
487         *) \
488           echo "NEWS not updated; not releasing" 1>&2; \
489           exit 1;; \
490         esac
491         $(am__remove_distdir)
492         test -d "$(distdir)" || mkdir "$(distdir)"
493         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
494         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
495         list='$(DISTFILES)'; \
496           dist_files=`for file in $$list; do echo $$file; done | \
497           sed -e "s|^$$srcdirstrip/||;t" \
498               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
499         case $$dist_files in \
500           */*) $(MKDIR_P) `echo "$$dist_files" | \
501                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
502                            sort -u` ;; \
503         esac; \
504         for file in $$dist_files; do \
505           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
506           if test -d $$d/$$file; then \
507             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
508             if test -d "$(distdir)/$$file"; then \
509               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
510             fi; \
511             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
512               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
513               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
514             fi; \
515             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
516           else \
517             test -f "$(distdir)/$$file" \
518             || cp -p $$d/$$file "$(distdir)/$$file" \
519             || exit 1; \
520           fi; \
521         done
522         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
523           if test "$$subdir" = .; then :; else \
524             test -d "$(distdir)/$$subdir" \
525             || $(MKDIR_P) "$(distdir)/$$subdir" \
526             || exit 1; \
527           fi; \
528         done
529         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
530           if test "$$subdir" = .; then :; else \
531             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
532             $(am__relativize); \
533             new_distdir=$$reldir; \
534             dir1=$$subdir; dir2="$(top_distdir)"; \
535             $(am__relativize); \
536             new_top_distdir=$$reldir; \
537             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
538             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
539             ($(am__cd) $$subdir && \
540               $(MAKE) $(AM_MAKEFLAGS) \
541                 top_distdir="$$new_top_distdir" \
542                 distdir="$$new_distdir" \
543                 am__remove_distdir=: \
544                 am__skip_length_check=: \
545                 am__skip_mode_fix=: \
546                 distdir) \
547               || exit 1; \
548           fi; \
549         done
550         -test -n "$(am__skip_mode_fix)" \
551         || find "$(distdir)" -type d ! -perm -755 \
552                 -exec chmod u+rwx,go+rx {} \; -o \
553           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
554           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
555           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
556         || chmod -R a+r "$(distdir)"
557 dist-gzip: distdir
558         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
559         $(am__remove_distdir)
560 dist-bzip2: distdir
561         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
562         $(am__remove_distdir)
563
564 dist-lzip: distdir
565         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
566         $(am__remove_distdir)
567
568 dist-lzma: distdir
569         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
570         $(am__remove_distdir)
571
572 dist-xz: distdir
573         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
574         $(am__remove_distdir)
575
576 dist-tarZ: distdir
577         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
578         $(am__remove_distdir)
579
580 dist-shar: distdir
581         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
582         $(am__remove_distdir)
583
584 dist-zip: distdir
585         -rm -f $(distdir).zip
586         zip -rq $(distdir).zip $(distdir)
587         $(am__remove_distdir)
588
589 dist dist-all: distdir
590         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
591         $(am__remove_distdir)
592
593 # This target untars the dist file and tries a VPATH configuration.  Then
594 # it guarantees that the distribution is self-contained by making another
595 # tarfile.
596 distcheck: dist
597         case '$(DIST_ARCHIVES)' in \
598         *.tar.gz*) \
599           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
600         *.tar.bz2*) \
601           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
602         *.tar.lzma*) \
603           lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
604         *.tar.lz*) \
605           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
606         *.tar.xz*) \
607           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
608         *.tar.Z*) \
609           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
610         *.shar.gz*) \
611           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
612         *.zip*) \
613           unzip $(distdir).zip ;;\
614         esac
615         chmod -R a-w $(distdir); chmod a+w $(distdir)
616         mkdir $(distdir)/_build
617         mkdir $(distdir)/_inst
618         chmod a-w $(distdir)
619         test -d $(distdir)/_build || exit 0; \
620         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
621           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
622           && $(MAKE) $(AM_MAKEFLAGS) distcheck-hook \
623           && am__cwd=`pwd` \
624           && $(am__cd) $(distdir)/_build \
625           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
626             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
627             $(DISTCHECK_CONFIGURE_FLAGS) \
628           && $(MAKE) $(AM_MAKEFLAGS) \
629           && $(MAKE) $(AM_MAKEFLAGS) dvi \
630           && $(MAKE) $(AM_MAKEFLAGS) check \
631           && $(MAKE) $(AM_MAKEFLAGS) install \
632           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
633           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
634           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
635                 distuninstallcheck \
636           && chmod -R a-w "$$dc_install_base" \
637           && ({ \
638                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
639                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
640                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
641                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
642                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
643               } || { rm -rf "$$dc_destdir"; exit 1; }) \
644           && rm -rf "$$dc_destdir" \
645           && $(MAKE) $(AM_MAKEFLAGS) dist \
646           && rm -rf $(DIST_ARCHIVES) \
647           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
648           && cd "$$am__cwd" \
649           || exit 1
650         $(am__remove_distdir)
651         @(echo "$(distdir) archives ready for distribution: "; \
652           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
653           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
654 distuninstallcheck:
655         @test -n '$(distuninstallcheck_dir)' || { \
656           echo 'ERROR: trying to run $@ with an empty' \
657                '$$(distuninstallcheck_dir)' >&2; \
658           exit 1; \
659         }; \
660         $(am__cd) '$(distuninstallcheck_dir)' || { \
661           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
662           exit 1; \
663         }; \
664         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
665            || { echo "ERROR: files left after uninstall:" ; \
666                 if test -n "$(DESTDIR)"; then \
667                   echo "  (check DESTDIR support)"; \
668                 fi ; \
669                 $(distuninstallcheck_listfiles) ; \
670                 exit 1; } >&2
671 distcleancheck: distclean
672         @if test '$(srcdir)' = . ; then \
673           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
674           exit 1 ; \
675         fi
676         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
677           || { echo "ERROR: files left in build directory after distclean:" ; \
678                $(distcleancheck_listfiles) ; \
679                exit 1; } >&2
680 check-am: all-am
681 check: check-recursive
682 all-am: Makefile $(HEADERS) config.h
683 installdirs: installdirs-recursive
684 installdirs-am:
685         for dir in "$(DESTDIR)$(pkgincludedir)"; do \
686           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
687         done
688 install: install-recursive
689 install-exec: install-exec-recursive
690 install-data: install-data-recursive
691 uninstall: uninstall-recursive
692
693 install-am: all-am
694         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
695
696 installcheck: installcheck-recursive
697 install-strip:
698         if test -z '$(STRIP)'; then \
699           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
700             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
701               install; \
702         else \
703           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
704             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
705             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
706         fi
707 mostlyclean-generic:
708
709 clean-generic:
710
711 distclean-generic:
712         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
713         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
714
715 maintainer-clean-generic:
716         @echo "This command is intended for maintainers to use"
717         @echo "it deletes files that may require special tools to rebuild."
718 clean: clean-recursive
719
720 clean-am: clean-generic mostlyclean-am
721
722 distclean: distclean-recursive
723         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
724         -rm -f Makefile
725 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
726
727 dvi: dvi-recursive
728
729 dvi-am:
730
731 html: html-recursive
732
733 html-am:
734
735 info: info-recursive
736
737 info-am:
738
739 install-data-am: install-pkgincludeHEADERS
740
741 install-dvi: install-dvi-recursive
742
743 install-dvi-am:
744
745 install-exec-am:
746
747 install-html: install-html-recursive
748
749 install-html-am:
750
751 install-info: install-info-recursive
752
753 install-info-am:
754
755 install-man:
756
757 install-pdf: install-pdf-recursive
758
759 install-pdf-am:
760
761 install-ps: install-ps-recursive
762
763 install-ps-am:
764
765 installcheck-am:
766
767 maintainer-clean: maintainer-clean-recursive
768         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
769         -rm -rf $(top_srcdir)/autom4te.cache
770         -rm -f Makefile
771 maintainer-clean-am: distclean-am maintainer-clean-generic
772
773 mostlyclean: mostlyclean-recursive
774
775 mostlyclean-am: mostlyclean-generic
776
777 pdf: pdf-recursive
778
779 pdf-am:
780
781 ps: ps-recursive
782
783 ps-am:
784
785 uninstall-am: uninstall-pkgincludeHEADERS
786
787 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
788         ctags-recursive install-am install-strip tags-recursive
789
790 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
791         all all-am am--refresh check check-am clean clean-generic \
792         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
793         dist-lzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
794         distcheck distclean distclean-generic distclean-hdr \
795         distclean-tags distcleancheck distdir distuninstallcheck dvi \
796         dvi-am html html-am info info-am install install-am \
797         install-data install-data-am install-dvi install-dvi-am \
798         install-exec install-exec-am install-html install-html-am \
799         install-info install-info-am install-man install-pdf \
800         install-pdf-am install-pkgincludeHEADERS install-ps \
801         install-ps-am install-strip installcheck installcheck-am \
802         installdirs installdirs-am maintainer-clean \
803         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
804         pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
805         uninstall-pkgincludeHEADERS
806
807
808 distcheck-hook:
809         chmod -R u+w $(distdir)
810
811 rpm: dist
812         rpmbuild -ts --sign elfutils-@PACKAGE_VERSION@.tar.bz2
813
814 # Tell version 3.79 and up of GNU make to not build goals in this
815 # directory in parallel.
816 .NOTPARALLEL:
817
818 # Tell versions [3.59,3.63) of GNU make to not export all variables.
819 # Otherwise a system limit (for SysV at least) may be exceeded.
820 .NOEXPORT: